/*!
 * This file is part of the DATAtourisme project.
 * 2022
 * @author Conjecto <contact@conjecto.com>
 * SPDX-License-Identifier: GPL-3.0-or-later
 * For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 */ 
.jstree-grid-wrapper {
  $gray-light: #777 !default;
  $brand-primary: #337ab7 !default;
  $btn-primary-color: #fff !default;

  .jstree-grid-midwrapper {
    display: -webkit-flex;
    display: flex;
  }

  .jstree-grid-column-0,
  .jstree-grid-column-2 {
    flex: 2;
  }

  .jstree-grid-cell {
    cursor: pointer;
  }

  .jstree-grid-header {
    background: #FFF !important;
    font-weight: bold;
    padding: 5px;
    border-bottom: 1px solid #f4f4f4;
    .jstree-grid-separator {
      display:none;
    }
  }
  .jstree-hovered {
    box-shadow: none;
    border-radius: 0;
  }
  .label {
    font-weight: normal;
  }

  .jstree-search {
    box-shadow: none;
    background: $gray-light;
    color: $btn-primary-color;
    font-weight: normal;
    border-radius: 0;
    * {
      color: $btn-primary-color !important;
    }
    .label {
      background: $btn-primary-color !important;
      color: $gray-light !important;
    }
  }
  .jstree-clicked {
    box-shadow: none;
    background: $brand-primary;
    color: $btn-primary-color;
    border-radius: 0;
    * {
      color: $btn-primary-color !important;
    }
    .label {
      background: $btn-primary-color !important;
      color: $brand-primary !important;
    }
  }
}
